> For the complete documentation index, see [llms.txt](https://sysinfo.onepub.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sysinfo.onepub.dev/reference/sysinfo/kernelversion.md).

# kernelVersion

### kernelVersion

Returns the version of your OS.

The format of the version is heavily dependent on which OS and version of the OS you are running.

Possible values are:

* Linux - 3.13.0-43-generic

Help us maintain this list. Please raise an issue on the [system\_info2](https://github.com/onepub-dev/system_info) github site with details of the version numbers you have seen.

Example:

```dart
import "package:system_info2/system_info2.dart";

print("Kernel version          : ${SysInfo.kernelVersion}");
```

{% hint style="info" %}
Please help expand the list of examples by raising an issue with examples on the [onpub.dev github site](https://github.com/onepub-dev/system_info).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://sysinfo.onepub.dev/reference/sysinfo/kernelversion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
